import e, { useRef, useLayoutEffect, useEffect, useSyncExternalStore, useState, isValidElement, cloneElement } from "react";
import { qwikifyQrl } from "@builder.io/qwik-react";
import { inlinedQrl, componentQrl, _jsxBranch, useStylesQrl, useSignal, useOnWindow, useLexicalScope, _jsxC } from "@builder.io/qwik";
function r(e2) {
  var t, f2, n = "";
  if ("string" == typeof e2 || "number" == typeof e2)
    n += e2;
  else if ("object" == typeof e2)
    if (Array.isArray(e2)) {
      var o = e2.length;
      for (t = 0; t < o; t++)
        e2[t] && (f2 = r(e2[t])) && (n && (n += " "), n += f2);
    } else
      for (f2 in e2)
        e2[f2] && (n && (n += " "), n += f2);
  return n;
}
function clsx() {
  for (var e2, t, f2 = 0, n = "", o = arguments.length; f2 < o; f2++)
    (e2 = arguments[f2]) && (t = r(e2)) && (n && (n += " "), n += t);
  return n;
}
const c = (e2) => "number" == typeof e2 && !isNaN(e2), d = (e2) => "string" == typeof e2, u = (e2) => "function" == typeof e2, p = (e2) => d(e2) || u(e2) ? e2 : null, m = (e2) => isValidElement(e2) || d(e2) || u(e2) || c(e2);
function f(e2, t, n) {
  void 0 === n && (n = 300);
  const { scrollHeight: o, style: s } = e2;
  requestAnimationFrame(() => {
    s.minHeight = "initial", s.height = o + "px", s.transition = `all ${n}ms`, requestAnimationFrame(() => {
      s.height = "0", s.padding = "0", s.margin = "0", setTimeout(t, n);
    });
  });
}
function g(t) {
  let { enter: a, exit: r2, appendPosition: i = false, collapse: l = true, collapseDuration: c2 = 300 } = t;
  return function(t2) {
    let { children: d2, position: u2, preventExitTransition: p2, done: m2, nodeRef: g2, isIn: y2, playToast: v2 } = t2;
    const h2 = i ? `${a}--${u2}` : a, T2 = i ? `${r2}--${u2}` : r2, E2 = useRef(0);
    return useLayoutEffect(() => {
      const e2 = g2.current, t3 = h2.split(" "), n = (o) => {
        o.target === g2.current && (v2(), e2.removeEventListener("animationend", n), e2.removeEventListener("animationcancel", n), 0 === E2.current && "animationcancel" !== o.type && e2.classList.remove(...t3));
      };
      e2.classList.add(...t3), e2.addEventListener("animationend", n), e2.addEventListener("animationcancel", n);
    }, []), useEffect(() => {
      const e2 = g2.current, t3 = () => {
        e2.removeEventListener("animationend", t3), l ? f(e2, m2, c2) : m2();
      };
      y2 || (p2 ? t3() : (E2.current = 1, e2.className += ` ${T2}`, e2.addEventListener("animationend", t3)));
    }, [y2]), e.createElement(e.Fragment, null, d2);
  };
}
function y(e2, t) {
  return null != e2 ? { content: e2.content, containerId: e2.props.containerId, id: e2.props.toastId, theme: e2.props.theme, type: e2.props.type, data: e2.props.data || {}, isLoading: e2.props.isLoading, icon: e2.props.icon, status: t } : {};
}
const v = /* @__PURE__ */ new Map();
let h = [];
const T = /* @__PURE__ */ new Set(), E = (e2) => T.forEach((t) => t(e2)), b = () => v.size > 0;
function I(e2, t) {
  var n;
  if (t)
    return !(null == (n = v.get(t)) || !n.isToastActive(e2));
  let o = false;
  return v.forEach((t2) => {
    t2.isToastActive(e2) && (o = true);
  }), o;
}
function _(e2, t) {
  m(e2) && (b() || h.push({ content: e2, options: t }), v.forEach((n) => {
    n.buildToast(e2, t);
  }));
}
function C(e2, t) {
  v.forEach((n) => {
    null != t && null != t && t.containerId ? (null == t ? void 0 : t.containerId) === n.id && n.toggle(e2, null == t ? void 0 : t.id) : n.toggle(e2, null == t ? void 0 : t.id);
  });
}
function L(e2) {
  const { subscribe: o, getSnapshot: s, setProps: i } = useRef(function(e3) {
    const n = e3.containerId || 1;
    return { subscribe(o2) {
      const s2 = /* @__PURE__ */ function(e4, n2, o3) {
        let s3 = 1, r3 = 0, i2 = [], l2 = [], f2 = [], g2 = n2;
        const v2 = /* @__PURE__ */ new Map(), h2 = /* @__PURE__ */ new Set(), T2 = () => {
          f2 = Array.from(v2.values()), h2.forEach((e5) => e5());
        }, E2 = (e5) => {
          l2 = null == e5 ? [] : l2.filter((t) => t !== e5), T2();
        }, b2 = (e5) => {
          const { toastId: n3, onOpen: s4, updateId: a, children: r4 } = e5.props, i3 = null == a;
          e5.staleId && v2.delete(e5.staleId), v2.set(n3, e5), l2 = [...l2, e5.props.toastId].filter((t) => t !== e5.staleId), T2(), o3(y(e5, i3 ? "added" : "updated")), i3 && u(s4) && s4(isValidElement(r4) && r4.props);
        };
        return { id: e4, props: g2, observe: (e5) => (h2.add(e5), () => h2.delete(e5)), toggle: (e5, t) => {
          v2.forEach((n3) => {
            null != t && t !== n3.props.toastId || u(n3.toggle) && n3.toggle(e5);
          });
        }, removeToast: E2, toasts: v2, clearQueue: () => {
          r3 -= i2.length, i2 = [];
        }, buildToast: (n3, l3) => {
          if (((t) => {
            let { containerId: n4, toastId: o4, updateId: s4 } = t;
            const a = n4 ? n4 !== e4 : 1 !== e4, r4 = v2.has(o4) && null == s4;
            return a || r4;
          })(l3))
            return;
          const { toastId: f3, updateId: h3, data: I2, staleId: _2, delay: C2 } = l3, L2 = () => {
            E2(f3);
          }, N2 = null == h3;
          N2 && r3++;
          const $2 = { ...g2, style: g2.toastStyle, key: s3++, ...Object.fromEntries(Object.entries(l3).filter((e5) => {
            let [t, n4] = e5;
            return null != n4;
          })), toastId: f3, updateId: h3, data: I2, closeToast: L2, isIn: false, className: p(l3.className || g2.toastClassName), bodyClassName: p(l3.bodyClassName || g2.bodyClassName), progressClassName: p(l3.progressClassName || g2.progressClassName), autoClose: !l3.isLoading && (w2 = l3.autoClose, k2 = g2.autoClose, false === w2 || c(w2) && w2 > 0 ? w2 : k2), deleteToast() {
            const e5 = v2.get(f3), { onClose: n4, children: s4 } = e5.props;
            u(n4) && n4(isValidElement(s4) && s4.props), o3(y(e5, "removed")), v2.delete(f3), r3--, r3 < 0 && (r3 = 0), i2.length > 0 ? b2(i2.shift()) : T2();
          } };
          var w2, k2;
          $2.closeButton = g2.closeButton, false === l3.closeButton || m(l3.closeButton) ? $2.closeButton = l3.closeButton : true === l3.closeButton && ($2.closeButton = !m(g2.closeButton) || g2.closeButton);
          let P2 = n3;
          isValidElement(n3) && !d(n3.type) ? P2 = cloneElement(n3, { closeToast: L2, toastProps: $2, data: I2 }) : u(n3) && (P2 = n3({ closeToast: L2, toastProps: $2, data: I2 }));
          const M2 = { content: P2, props: $2, staleId: _2 };
          g2.limit && g2.limit > 0 && r3 > g2.limit && N2 ? i2.push(M2) : c(C2) ? setTimeout(() => {
            b2(M2);
          }, C2) : b2(M2);
        }, setProps(e5) {
          g2 = e5;
        }, setToggle: (e5, t) => {
          v2.get(e5).toggle = t;
        }, isToastActive: (e5) => l2.some((t) => t === e5), getSnapshot: () => g2.newestOnTop ? f2.reverse() : f2 };
      }(n, e3, E);
      v.set(n, s2);
      const r2 = s2.observe(o2);
      return h.forEach((e4) => _(e4.content, e4.options)), h = [], () => {
        r2(), v.delete(n);
      };
    }, setProps(e4) {
      var t;
      null == (t = v.get(n)) || t.setProps(e4);
    }, getSnapshot() {
      var e4;
      return null == (e4 = v.get(n)) ? void 0 : e4.getSnapshot();
    } };
  }(e2)).current;
  i(e2);
  const l = useSyncExternalStore(o, s, s);
  return { getToastToRender: function(e3) {
    if (!l)
      return [];
    const t = /* @__PURE__ */ new Map();
    return l.forEach((e4) => {
      const { position: n } = e4.props;
      t.has(n) || t.set(n, []), t.get(n).push(e4);
    }), Array.from(t, (t2) => e3(t2[0], t2[1]));
  }, isToastActive: I, count: null == l ? void 0 : l.length };
}
function N(e2) {
  const [t, o] = useState(false), [a, r2] = useState(false), l = useRef(null), c2 = useRef({ start: 0, delta: 0, removalDistance: 0, canCloseOnClick: true, canDrag: false, didMove: false }).current, { autoClose: d2, pauseOnHover: u2, closeToast: p2, onClick: m2, closeOnClick: f2 } = e2;
  var g2, y2;
  function h2() {
    o(true);
  }
  function T2() {
    o(false);
  }
  function E2(n) {
    const o2 = l.current;
    c2.canDrag && o2 && (c2.didMove = true, t && T2(), c2.delta = "x" === e2.draggableDirection ? n.clientX - c2.start : n.clientY - c2.start, c2.start !== n.clientX && (c2.canCloseOnClick = false), o2.style.transform = `translate3d(${"x" === e2.draggableDirection ? `${c2.delta}px, var(--y)` : `0, calc(${c2.delta}px + var(--y))`},0)`, o2.style.opacity = "" + (1 - Math.abs(c2.delta / c2.removalDistance)));
  }
  function b2() {
    document.removeEventListener("pointermove", E2), document.removeEventListener("pointerup", b2);
    const t2 = l.current;
    if (c2.canDrag && c2.didMove && t2) {
      if (c2.canDrag = false, Math.abs(c2.delta) > c2.removalDistance)
        return r2(true), e2.closeToast(), void e2.collapseAll();
      t2.style.transition = "transform 0.2s, opacity 0.2s", t2.style.removeProperty("transform"), t2.style.removeProperty("opacity");
    }
  }
  null == (y2 = v.get((g2 = { id: e2.toastId, containerId: e2.containerId, fn: o }).containerId || 1)) || y2.setToggle(g2.id, g2.fn), useEffect(() => {
    if (e2.pauseOnFocusLoss)
      return document.hasFocus() || T2(), window.addEventListener("focus", h2), window.addEventListener("blur", T2), () => {
        window.removeEventListener("focus", h2), window.removeEventListener("blur", T2);
      };
  }, [e2.pauseOnFocusLoss]);
  const I2 = { onPointerDown: function(t2) {
    if (true === e2.draggable || e2.draggable === t2.pointerType) {
      c2.didMove = false, document.addEventListener("pointermove", E2), document.addEventListener("pointerup", b2);
      const n = l.current;
      c2.canCloseOnClick = true, c2.canDrag = true, n.style.transition = "none", "x" === e2.draggableDirection ? (c2.start = t2.clientX, c2.removalDistance = n.offsetWidth * (e2.draggablePercent / 100)) : (c2.start = t2.clientY, c2.removalDistance = n.offsetHeight * (80 === e2.draggablePercent ? 1.5 * e2.draggablePercent : e2.draggablePercent) / 100);
    }
  }, onPointerUp: function(t2) {
    const { top: n, bottom: o2, left: s, right: a2 } = l.current.getBoundingClientRect();
    "touchend" !== t2.nativeEvent.type && e2.pauseOnHover && t2.clientX >= s && t2.clientX <= a2 && t2.clientY >= n && t2.clientY <= o2 ? T2() : h2();
  } };
  return d2 && u2 && (I2.onMouseEnter = T2, e2.stacked || (I2.onMouseLeave = h2)), f2 && (I2.onClick = (e3) => {
    m2 && m2(e3), c2.canCloseOnClick && p2();
  }), { playToast: h2, pauseToast: T2, isRunning: t, preventExitTransition: a, toastRef: l, eventHandlers: I2 };
}
function $(t) {
  let { delay: n, isRunning: o, closeToast: s, type: a = "default", hide: r2, className: i, style: c2, controlledProgress: d2, progress: p2, rtl: m2, isIn: f2, theme: g2 } = t;
  const y2 = r2 || d2 && 0 === p2, v2 = { ...c2, animationDuration: `${n}ms`, animationPlayState: o ? "running" : "paused" };
  d2 && (v2.transform = `scaleX(${p2})`);
  const h2 = clsx("Toastify__progress-bar", d2 ? "Toastify__progress-bar--controlled" : "Toastify__progress-bar--animated", `Toastify__progress-bar-theme--${g2}`, `Toastify__progress-bar--${a}`, { "Toastify__progress-bar--rtl": m2 }), T2 = u(i) ? i({ rtl: m2, type: a, defaultClassName: h2 }) : clsx(h2, i), E2 = { [d2 && p2 >= 1 ? "onTransitionEnd" : "onAnimationEnd"]: d2 && p2 < 1 ? null : () => {
    f2 && s();
  } };
  return e.createElement("div", { className: "Toastify__progress-bar--wrp", "data-hidden": y2 }, e.createElement("div", { className: `Toastify__progress-bar--bg Toastify__progress-bar-theme--${g2} Toastify__progress-bar--${a}` }), e.createElement("div", { role: "progressbar", "aria-hidden": y2 ? "true" : "false", "aria-label": "notification timer", className: T2, style: v2, ...E2 }));
}
let w = 1;
const k = () => "" + w++;
function P(e2) {
  return e2 && (d(e2.toastId) || c(e2.toastId)) ? e2.toastId : k();
}
function M(e2, t) {
  return _(e2, t), t.toastId;
}
function x(e2, t) {
  return { ...t, type: t && t.type || e2, toastId: P(t) };
}
function A(e2) {
  return (t, n) => M(t, x(e2, n));
}
function B(e2, t) {
  return M(e2, x("default", t));
}
B.loading = (e2, t) => M(e2, x("default", { isLoading: true, autoClose: false, closeOnClick: false, closeButton: false, draggable: false, ...t })), B.promise = function(e2, t, n) {
  let o, { pending: s, error: a, success: r2 } = t;
  s && (o = d(s) ? B.loading(s, n) : B.loading(s.render, { ...n, ...s }));
  const i = { isLoading: null, autoClose: null, closeOnClick: null, closeButton: null, draggable: null }, l = (e3, t2, s2) => {
    if (null == t2)
      return void B.dismiss(o);
    const a2 = { type: e3, ...i, ...n, data: s2 }, r3 = d(t2) ? { render: t2 } : t2;
    return o ? B.update(o, { ...a2, ...r3 }) : B(r3.render, { ...a2, ...r3 }), s2;
  }, c2 = u(e2) ? e2() : e2;
  return c2.then((e3) => l("success", r2, e3)).catch((e3) => l("error", a, e3)), c2;
}, B.success = A("success"), B.info = A("info"), B.error = A("error"), B.warning = A("warning"), B.warn = B.warning, B.dark = (e2, t) => M(e2, x("default", { theme: "dark", ...t })), B.dismiss = function(e2) {
  !function(e3) {
    var t;
    if (b()) {
      if (null == e3 || d(t = e3) || c(t))
        v.forEach((t2) => {
          t2.removeToast(e3);
        });
      else if (e3 && ("containerId" in e3 || "id" in e3)) {
        var n;
        (null == (n = v.get(e3.containerId)) ? void 0 : n.removeToast(e3.id)) || v.forEach((t2) => {
          t2.removeToast(e3.id);
        });
      }
    } else
      h = h.filter((t2) => null != e3 && t2.options.toastId !== e3);
  }(e2);
}, B.clearWaitingQueue = function(e2) {
  void 0 === e2 && (e2 = {}), v.forEach((t) => {
    !t.props.limit || e2.containerId && t.id !== e2.containerId || t.clearQueue();
  });
}, B.isActive = I, B.update = function(e2, t) {
  void 0 === t && (t = {});
  const n = ((e3, t2) => {
    var n2;
    let { containerId: o } = t2;
    return null == (n2 = v.get(o || 1)) ? void 0 : n2.toasts.get(e3);
  })(e2, t);
  if (n) {
    const { props: o, content: s } = n, a = { delay: 100, ...o, ...t, toastId: t.toastId || e2, updateId: k() };
    a.toastId !== e2 && (a.staleId = e2);
    const r2 = a.render || s;
    delete a.render, M(r2, a);
  }
}, B.done = (e2) => {
  B.update(e2, { progress: 1 });
}, B.onChange = function(e2) {
  return T.add(e2), () => {
    T.delete(e2);
  };
}, B.play = (e2) => C(true, e2), B.pause = (e2) => C(false, e2);
const O = "undefined" != typeof window ? useLayoutEffect : useEffect, D = (t) => {
  let { theme: n, type: o, isLoading: s, ...a } = t;
  return e.createElement("svg", { viewBox: "0 0 24 24", width: "100%", height: "100%", fill: "colored" === n ? "currentColor" : `var(--toastify-icon-color-${o})`, ...a });
}, z = { info: function(t) {
  return e.createElement(D, { ...t }, e.createElement("path", { d: "M12 0a12 12 0 1012 12A12.013 12.013 0 0012 0zm.25 5a1.5 1.5 0 11-1.5 1.5 1.5 1.5 0 011.5-1.5zm2.25 13.5h-4a1 1 0 010-2h.75a.25.25 0 00.25-.25v-4.5a.25.25 0 00-.25-.25h-.75a1 1 0 010-2h1a2 2 0 012 2v4.75a.25.25 0 00.25.25h.75a1 1 0 110 2z" }));
}, warning: function(t) {
  return e.createElement(D, { ...t }, e.createElement("path", { d: "M23.32 17.191L15.438 2.184C14.728.833 13.416 0 11.996 0c-1.42 0-2.733.833-3.443 2.184L.533 17.448a4.744 4.744 0 000 4.368C1.243 23.167 2.555 24 3.975 24h16.05C22.22 24 24 22.044 24 19.632c0-.904-.251-1.746-.68-2.44zm-9.622 1.46c0 1.033-.724 1.823-1.698 1.823s-1.698-.79-1.698-1.822v-.043c0-1.028.724-1.822 1.698-1.822s1.698.79 1.698 1.822v.043zm.039-12.285l-.84 8.06c-.057.581-.408.943-.897.943-.49 0-.84-.367-.896-.942l-.84-8.065c-.057-.624.25-1.095.779-1.095h1.91c.528.005.84.476.784 1.1z" }));
}, success: function(t) {
  return e.createElement(D, { ...t }, e.createElement("path", { d: "M12 0a12 12 0 1012 12A12.014 12.014 0 0012 0zm6.927 8.2l-6.845 9.289a1.011 1.011 0 01-1.43.188l-4.888-3.908a1 1 0 111.25-1.562l4.076 3.261 6.227-8.451a1 1 0 111.61 1.183z" }));
}, error: function(t) {
  return e.createElement(D, { ...t }, e.createElement("path", { d: "M11.983 0a12.206 12.206 0 00-8.51 3.653A11.8 11.8 0 000 12.207 11.779 11.779 0 0011.8 24h.214A12.111 12.111 0 0024 11.791 11.766 11.766 0 0011.983 0zM10.5 16.542a1.476 1.476 0 011.449-1.53h.027a1.527 1.527 0 011.523 1.47 1.475 1.475 0 01-1.449 1.53h-.027a1.529 1.529 0 01-1.523-1.47zM11 12.5v-6a1 1 0 012 0v6a1 1 0 11-2 0z" }));
}, spinner: function() {
  return e.createElement("div", { className: "Toastify__spinner" });
} }, R = (n) => {
  const { isRunning: o, preventExitTransition: s, toastRef: r2, eventHandlers: i, playToast: c2 } = N(n), { closeButton: d2, children: p2, autoClose: m2, onClick: f2, type: g2, hideProgressBar: y2, closeToast: v2, transition: h2, position: T2, className: E2, style: b2, bodyClassName: I2, bodyStyle: _2, progressClassName: C2, progressStyle: L2, updateId: w2, role: k2, progress: P2, rtl: M2, toastId: x2, deleteToast: A2, isIn: B2, isLoading: O2, closeOnClick: D2, theme: R2 } = n, S2 = clsx("Toastify__toast", `Toastify__toast-theme--${R2}`, `Toastify__toast--${g2}`, { "Toastify__toast--rtl": M2 }, { "Toastify__toast--close-on-click": D2 }), H2 = u(E2) ? E2({ rtl: M2, position: T2, type: g2, defaultClassName: S2 }) : clsx(S2, E2), F2 = function(e2) {
    let { theme: n2, type: o2, isLoading: s2, icon: r3 } = e2, i2 = null;
    const l = { theme: n2, type: o2 };
    return false === r3 || (u(r3) ? i2 = r3({ ...l, isLoading: s2 }) : isValidElement(r3) ? i2 = cloneElement(r3, l) : s2 ? i2 = z.spinner() : ((e3) => e3 in z)(o2) && (i2 = z[o2](l))), i2;
  }(n), X2 = !!P2 || !m2, Y2 = { closeToast: v2, type: g2, theme: R2 };
  let q2 = null;
  return false === d2 || (q2 = u(d2) ? d2(Y2) : isValidElement(d2) ? cloneElement(d2, Y2) : function(t) {
    let { closeToast: n2, theme: o2, ariaLabel: s2 = "close" } = t;
    return e.createElement("button", { className: `Toastify__close-button Toastify__close-button--${o2}`, type: "button", onClick: (e2) => {
      e2.stopPropagation(), n2(e2);
    }, "aria-label": s2 }, e.createElement("svg", { "aria-hidden": "true", viewBox: "0 0 14 16" }, e.createElement("path", { fillRule: "evenodd", d: "M7.71 8.23l3.75 3.75-1.48 1.48-3.75-3.75-3.75 3.75L1 11.98l3.75-3.75L1 4.48 2.48 3l3.75 3.75L9.98 3l1.48 1.48-3.75 3.75z" })));
  }(Y2)), e.createElement(h2, { isIn: B2, done: A2, position: T2, preventExitTransition: s, nodeRef: r2, playToast: c2 }, e.createElement("div", { id: x2, onClick: f2, "data-in": B2, className: H2, ...i, style: b2, ref: r2 }, e.createElement("div", { ...B2 && { role: k2 }, className: u(I2) ? I2({ type: g2 }) : clsx("Toastify__toast-body", I2), style: _2 }, null != F2 && e.createElement("div", { className: clsx("Toastify__toast-icon", { "Toastify--animate-icon Toastify__zoom-enter": !O2 }) }, F2), e.createElement("div", null, p2)), q2, e.createElement($, { ...w2 && !X2 ? { key: `pb-${w2}` } : {}, rtl: M2, theme: R2, delay: m2, isRunning: o, isIn: B2, closeToast: v2, hide: y2, type: g2, style: L2, className: C2, controlledProgress: X2, progress: P2 || 0 })));
}, S = function(e2, t) {
  return void 0 === t && (t = false), { enter: `Toastify--animate Toastify__${e2}-enter`, exit: `Toastify--animate Toastify__${e2}-exit`, appendPosition: t };
}, H = g(S("bounce", true)), F = g(S("slide", true)), X = g(S("zoom")), Y = g(S("flip")), q = { position: "top-right", transition: H, autoClose: 5e3, closeButton: true, pauseOnHover: true, pauseOnFocusLoss: true, draggable: "touch", draggablePercent: 80, draggableDirection: "x", role: "alert", theme: "light" };
function Q(t) {
  let o = { ...q, ...t };
  const s = t.stacked, [a, r2] = useState(true), c2 = useRef(null), { getToastToRender: d2, isToastActive: m2, count: f2 } = L(o), { className: g2, style: y2, rtl: v2, containerId: h2 } = o;
  function T2(e2) {
    const t2 = clsx("Toastify__toast-container", `Toastify__toast-container--${e2}`, { "Toastify__toast-container--rtl": v2 });
    return u(g2) ? g2({ position: e2, rtl: v2, defaultClassName: t2 }) : clsx(t2, p(g2));
  }
  function E2() {
    s && (r2(true), B.play());
  }
  return O(() => {
    if (s) {
      var e2;
      const t2 = c2.current.querySelectorAll('[data-in="true"]'), n = 12, s2 = null == (e2 = o.position) ? void 0 : e2.includes("top");
      let r3 = 0, i = 0;
      Array.from(t2).reverse().forEach((e3, t3) => {
        const o2 = e3;
        o2.classList.add("Toastify__toast--stacked"), t3 > 0 && (o2.dataset.collapsed = `${a}`), o2.dataset.pos || (o2.dataset.pos = s2 ? "top" : "bot");
        const l = r3 * (a ? 0.2 : 1) + (a ? 0 : n * t3);
        o2.style.setProperty("--y", `${s2 ? l : -1 * l}px`), o2.style.setProperty("--g", `${n}`), o2.style.setProperty("--s", "" + (1 - (a ? i : 0))), r3 += o2.offsetHeight, i += 0.025;
      });
    }
  }, [a, f2, s]), e.createElement("div", { ref: c2, className: "Toastify", id: h2, onMouseEnter: () => {
    s && (r2(false), B.pause());
  }, onMouseLeave: E2 }, d2((t2, n) => {
    const o2 = n.length ? { ...y2 } : { ...y2, pointerEvents: "none" };
    return e.createElement("div", { className: T2(t2), style: o2, key: `container-${t2}` }, n.map((t3) => {
      let { content: n2, props: o3 } = t3;
      return e.createElement(R, { ...o3, stacked: s, collapseAll: E2, isIn: m2(o3.toastId, o3.containerId), style: o3.style, key: `toast-${o3.key}` }, n2);
    }));
  }));
}
const styles = ':root {\n  --toastify-color-light: #fff;\n  --toastify-color-dark: #121212;\n  --toastify-color-info: #3498db;\n  --toastify-color-success: #07bc0c;\n  --toastify-color-warning: #f1c40f;\n  --toastify-color-error: #e74c3c;\n  --toastify-color-transparent: rgba(255, 255, 255, 0.7);\n  --toastify-icon-color-info: var(--toastify-color-info);\n  --toastify-icon-color-success: var(--toastify-color-success);\n  --toastify-icon-color-warning: var(--toastify-color-warning);\n  --toastify-icon-color-error: var(--toastify-color-error);\n  --toastify-toast-width: 320px;\n  --toastify-toast-offset: 16px;\n  --toastify-toast-top: max(var(--toastify-toast-offset), env(safe-area-inset-top));\n  --toastify-toast-right: max(var(--toastify-toast-offset), env(safe-area-inset-right));\n  --toastify-toast-left: max(var(--toastify-toast-offset), env(safe-area-inset-left));\n  --toastify-toast-bottom: max(var(--toastify-toast-offset), env(safe-area-inset-bottom));\n  --toastify-toast-background: #fff;\n  --toastify-toast-min-height: 64px;\n  --toastify-toast-max-height: 800px;\n  --toastify-toast-bd-radius: 6px;\n  --toastify-font-family: sans-serif;\n  --toastify-z-index: 9999;\n  --toastify-text-color-light: #757575;\n  --toastify-text-color-dark: #fff;\n  --toastify-text-color-info: #fff;\n  --toastify-text-color-success: #fff;\n  --toastify-text-color-warning: #fff;\n  --toastify-text-color-error: #fff;\n  --toastify-spinner-color: #616161;\n  --toastify-spinner-color-empty-area: #e0e0e0;\n  --toastify-color-progress-light: linear-gradient(\n    to right,\n    #4cd964,\n    #5ac8fa,\n    #007aff,\n    #34aadc,\n    #5856d6,\n    #ff2d55\n  );\n  --toastify-color-progress-dark: #bb86fc;\n  --toastify-color-progress-info: var(--toastify-color-info);\n  --toastify-color-progress-success: var(--toastify-color-success);\n  --toastify-color-progress-warning: var(--toastify-color-warning);\n  --toastify-color-progress-error: var(--toastify-color-error);\n  --toastify-color-progress-bgo: 0.2;\n}\n\n.Toastify__toast-container {\n  z-index: var(--toastify-z-index);\n  -webkit-transform: translate3d(0, 0, var(--toastify-z-index));\n  position: fixed;\n  padding: 4px;\n  width: var(--toastify-toast-width);\n  box-sizing: border-box;\n  color: #fff;\n}\n.Toastify__toast-container--top-left {\n  top: var(--toastify-toast-top);\n  left: var(--toastify-toast-left);\n}\n.Toastify__toast-container--top-center {\n  top: var(--toastify-toast-top);\n  left: 50%;\n  transform: translateX(-50%);\n}\n.Toastify__toast-container--top-right {\n  top: var(--toastify-toast-top);\n  right: var(--toastify-toast-right);\n}\n.Toastify__toast-container--bottom-left {\n  bottom: var(--toastify-toast-bottom);\n  left: var(--toastify-toast-left);\n}\n.Toastify__toast-container--bottom-center {\n  bottom: var(--toastify-toast-bottom);\n  left: 50%;\n  transform: translateX(-50%);\n}\n.Toastify__toast-container--bottom-right {\n  bottom: var(--toastify-toast-bottom);\n  right: var(--toastify-toast-right);\n}\n\n@media only screen and (max-width : 480px) {\n  .Toastify__toast-container {\n    width: 100vw;\n    padding: 0;\n    left: env(safe-area-inset-left);\n    margin: 0;\n  }\n  .Toastify__toast-container--top-left, .Toastify__toast-container--top-center, .Toastify__toast-container--top-right {\n    top: env(safe-area-inset-top);\n    transform: translateX(0);\n  }\n  .Toastify__toast-container--bottom-left, .Toastify__toast-container--bottom-center, .Toastify__toast-container--bottom-right {\n    bottom: env(safe-area-inset-bottom);\n    transform: translateX(0);\n  }\n  .Toastify__toast-container--rtl {\n    right: env(safe-area-inset-right);\n    left: initial;\n  }\n}\n.Toastify__toast {\n  --y: 0;\n  position: relative;\n  -ms-touch-action: none;\n      touch-action: none;\n  min-height: var(--toastify-toast-min-height);\n  box-sizing: border-box;\n  margin-bottom: 1rem;\n  padding: 8px;\n  border-radius: var(--toastify-toast-bd-radius);\n  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1);\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-pack: justify;\n      justify-content: space-between;\n  max-height: var(--toastify-toast-max-height);\n  font-family: var(--toastify-font-family);\n  cursor: default;\n  direction: ltr;\n  /* webkit only issue #791 */\n  z-index: 0;\n  overflow: hidden;\n}\n.Toastify__toast--stacked {\n  position: absolute;\n  width: 100%;\n  transform: translate3d(0, var(--y), 0) scale(var(--s));\n  transition: transform 0.3s;\n}\n.Toastify__toast--stacked[data-collapsed] .Toastify__toast-body, .Toastify__toast--stacked[data-collapsed] .Toastify__close-button {\n  transition: opacity 0.1s;\n}\n.Toastify__toast--stacked[data-collapsed=false] {\n  overflow: visible;\n}\n.Toastify__toast--stacked[data-collapsed=true]:not(:last-child) > * {\n  opacity: 0;\n}\n.Toastify__toast--stacked:after {\n  content: "";\n  position: absolute;\n  left: 0;\n  right: 0;\n  height: calc(var(--g) * 1px);\n  bottom: 100%;\n}\n.Toastify__toast--stacked[data-pos=top] {\n  top: 0;\n}\n.Toastify__toast--stacked[data-pos=bot] {\n  bottom: 0;\n}\n.Toastify__toast--stacked[data-pos=bot].Toastify__toast--stacked:before {\n  transform-origin: top;\n}\n.Toastify__toast--stacked[data-pos=top].Toastify__toast--stacked:before {\n  transform-origin: bottom;\n}\n.Toastify__toast--stacked:before {\n  content: "";\n  position: absolute;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  height: 100%;\n  transform: scaleY(3);\n  z-index: -1;\n}\n.Toastify__toast--rtl {\n  direction: rtl;\n}\n.Toastify__toast--close-on-click {\n  cursor: pointer;\n}\n.Toastify__toast-body {\n  margin: auto 0;\n  -ms-flex: 1 1 auto;\n      flex: 1 1 auto;\n  padding: 6px;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-align: center;\n      align-items: center;\n}\n.Toastify__toast-body > div:last-child {\n  word-break: break-word;\n  -ms-flex: 1;\n      flex: 1;\n}\n.Toastify__toast-icon {\n  -webkit-margin-end: 10px;\n          margin-inline-end: 10px;\n  width: 20px;\n  -ms-flex-negative: 0;\n      flex-shrink: 0;\n  display: -ms-flexbox;\n  display: flex;\n}\n\n.Toastify--animate {\n  animation-fill-mode: both;\n  animation-duration: 0.5s;\n}\n\n.Toastify--animate-icon {\n  animation-fill-mode: both;\n  animation-duration: 0.3s;\n}\n\n@media only screen and (max-width : 480px) {\n  .Toastify__toast {\n    margin-bottom: 0;\n    border-radius: 0;\n  }\n}\n.Toastify__toast-theme--dark {\n  background: var(--toastify-color-dark);\n  color: var(--toastify-text-color-dark);\n}\n.Toastify__toast-theme--light {\n  background: var(--toastify-color-light);\n  color: var(--toastify-text-color-light);\n}\n.Toastify__toast-theme--colored.Toastify__toast--default {\n  background: var(--toastify-color-light);\n  color: var(--toastify-text-color-light);\n}\n.Toastify__toast-theme--colored.Toastify__toast--info {\n  color: var(--toastify-text-color-info);\n  background: var(--toastify-color-info);\n}\n.Toastify__toast-theme--colored.Toastify__toast--success {\n  color: var(--toastify-text-color-success);\n  background: var(--toastify-color-success);\n}\n.Toastify__toast-theme--colored.Toastify__toast--warning {\n  color: var(--toastify-text-color-warning);\n  background: var(--toastify-color-warning);\n}\n.Toastify__toast-theme--colored.Toastify__toast--error {\n  color: var(--toastify-text-color-error);\n  background: var(--toastify-color-error);\n}\n\n.Toastify__progress-bar-theme--light {\n  background: var(--toastify-color-progress-light);\n}\n.Toastify__progress-bar-theme--dark {\n  background: var(--toastify-color-progress-dark);\n}\n.Toastify__progress-bar--info {\n  background: var(--toastify-color-progress-info);\n}\n.Toastify__progress-bar--success {\n  background: var(--toastify-color-progress-success);\n}\n.Toastify__progress-bar--warning {\n  background: var(--toastify-color-progress-warning);\n}\n.Toastify__progress-bar--error {\n  background: var(--toastify-color-progress-error);\n}\n.Toastify__progress-bar-theme--colored.Toastify__progress-bar--info, .Toastify__progress-bar-theme--colored.Toastify__progress-bar--success, .Toastify__progress-bar-theme--colored.Toastify__progress-bar--warning, .Toastify__progress-bar-theme--colored.Toastify__progress-bar--error {\n  background: var(--toastify-color-transparent);\n}\n\n.Toastify__close-button {\n  color: #fff;\n  background: transparent;\n  outline: none;\n  border: none;\n  padding: 0;\n  cursor: pointer;\n  opacity: 0.7;\n  transition: 0.3s ease;\n  -ms-flex-item-align: start;\n      align-self: flex-start;\n  z-index: 1;\n}\n.Toastify__close-button--light {\n  color: #000;\n  opacity: 0.3;\n}\n.Toastify__close-button > svg {\n  fill: currentColor;\n  height: 16px;\n  width: 14px;\n}\n.Toastify__close-button:hover, .Toastify__close-button:focus {\n  opacity: 1;\n}\n\n@keyframes Toastify__trackProgress {\n  0% {\n    transform: scaleX(1);\n  }\n  100% {\n    transform: scaleX(0);\n  }\n}\n.Toastify__progress-bar {\n  position: absolute;\n  bottom: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  z-index: var(--toastify-z-index);\n  opacity: 0.7;\n  transform-origin: left;\n  border-bottom-left-radius: var(--toastify-toast-bd-radius);\n}\n.Toastify__progress-bar--animated {\n  animation: Toastify__trackProgress linear 1 forwards;\n}\n.Toastify__progress-bar--controlled {\n  transition: transform 0.2s;\n}\n.Toastify__progress-bar--rtl {\n  right: 0;\n  left: initial;\n  transform-origin: right;\n  border-bottom-left-radius: initial;\n  border-bottom-right-radius: var(--toastify-toast-bd-radius);\n}\n.Toastify__progress-bar--wrp {\n  position: absolute;\n  bottom: 0;\n  left: 0;\n  width: 100%;\n  height: 5px;\n  border-bottom-left-radius: var(--toastify-toast-bd-radius);\n}\n.Toastify__progress-bar--wrp[data-hidden=true] {\n  opacity: 0;\n}\n.Toastify__progress-bar--bg {\n  opacity: var(--toastify-color-progress-bgo);\n  width: 100%;\n  height: 100%;\n}\n\n.Toastify__spinner {\n  width: 20px;\n  height: 20px;\n  box-sizing: border-box;\n  border: 2px solid;\n  border-radius: 100%;\n  border-color: var(--toastify-spinner-color-empty-area);\n  border-right-color: var(--toastify-spinner-color);\n  animation: Toastify__spin 0.65s linear infinite;\n}\n\n@keyframes Toastify__bounceInRight {\n  from, 60%, 75%, 90%, to {\n    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n  }\n  from {\n    opacity: 0;\n    transform: translate3d(3000px, 0, 0);\n  }\n  60% {\n    opacity: 1;\n    transform: translate3d(-25px, 0, 0);\n  }\n  75% {\n    transform: translate3d(10px, 0, 0);\n  }\n  90% {\n    transform: translate3d(-5px, 0, 0);\n  }\n  to {\n    transform: none;\n  }\n}\n@keyframes Toastify__bounceOutRight {\n  20% {\n    opacity: 1;\n    transform: translate3d(-20px, var(--y), 0);\n  }\n  to {\n    opacity: 0;\n    transform: translate3d(2000px, var(--y), 0);\n  }\n}\n@keyframes Toastify__bounceInLeft {\n  from, 60%, 75%, 90%, to {\n    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n  }\n  0% {\n    opacity: 0;\n    transform: translate3d(-3000px, 0, 0);\n  }\n  60% {\n    opacity: 1;\n    transform: translate3d(25px, 0, 0);\n  }\n  75% {\n    transform: translate3d(-10px, 0, 0);\n  }\n  90% {\n    transform: translate3d(5px, 0, 0);\n  }\n  to {\n    transform: none;\n  }\n}\n@keyframes Toastify__bounceOutLeft {\n  20% {\n    opacity: 1;\n    transform: translate3d(20px, var(--y), 0);\n  }\n  to {\n    opacity: 0;\n    transform: translate3d(-2000px, var(--y), 0);\n  }\n}\n@keyframes Toastify__bounceInUp {\n  from, 60%, 75%, 90%, to {\n    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n  }\n  from {\n    opacity: 0;\n    transform: translate3d(0, 3000px, 0);\n  }\n  60% {\n    opacity: 1;\n    transform: translate3d(0, -20px, 0);\n  }\n  75% {\n    transform: translate3d(0, 10px, 0);\n  }\n  90% {\n    transform: translate3d(0, -5px, 0);\n  }\n  to {\n    transform: translate3d(0, 0, 0);\n  }\n}\n@keyframes Toastify__bounceOutUp {\n  20% {\n    transform: translate3d(0, calc(var(--y) - 10px), 0);\n  }\n  40%, 45% {\n    opacity: 1;\n    transform: translate3d(0, calc(var(--y) + 20px), 0);\n  }\n  to {\n    opacity: 0;\n    transform: translate3d(0, -2000px, 0);\n  }\n}\n@keyframes Toastify__bounceInDown {\n  from, 60%, 75%, 90%, to {\n    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n  }\n  0% {\n    opacity: 0;\n    transform: translate3d(0, -3000px, 0);\n  }\n  60% {\n    opacity: 1;\n    transform: translate3d(0, 25px, 0);\n  }\n  75% {\n    transform: translate3d(0, -10px, 0);\n  }\n  90% {\n    transform: translate3d(0, 5px, 0);\n  }\n  to {\n    transform: none;\n  }\n}\n@keyframes Toastify__bounceOutDown {\n  20% {\n    transform: translate3d(0, calc(var(--y) - 10px), 0);\n  }\n  40%, 45% {\n    opacity: 1;\n    transform: translate3d(0, calc(var(--y) + 20px), 0);\n  }\n  to {\n    opacity: 0;\n    transform: translate3d(0, 2000px, 0);\n  }\n}\n.Toastify__bounce-enter--top-left, .Toastify__bounce-enter--bottom-left {\n  animation-name: Toastify__bounceInLeft;\n}\n.Toastify__bounce-enter--top-right, .Toastify__bounce-enter--bottom-right {\n  animation-name: Toastify__bounceInRight;\n}\n.Toastify__bounce-enter--top-center {\n  animation-name: Toastify__bounceInDown;\n}\n.Toastify__bounce-enter--bottom-center {\n  animation-name: Toastify__bounceInUp;\n}\n\n.Toastify__bounce-exit--top-left, .Toastify__bounce-exit--bottom-left {\n  animation-name: Toastify__bounceOutLeft;\n}\n.Toastify__bounce-exit--top-right, .Toastify__bounce-exit--bottom-right {\n  animation-name: Toastify__bounceOutRight;\n}\n.Toastify__bounce-exit--top-center {\n  animation-name: Toastify__bounceOutUp;\n}\n.Toastify__bounce-exit--bottom-center {\n  animation-name: Toastify__bounceOutDown;\n}\n\n@keyframes Toastify__zoomIn {\n  from {\n    opacity: 0;\n    transform: scale3d(0.3, 0.3, 0.3);\n  }\n  50% {\n    opacity: 1;\n  }\n}\n@keyframes Toastify__zoomOut {\n  from {\n    opacity: 1;\n  }\n  50% {\n    opacity: 0;\n    transform: translate3d(0, var(--y), 0) scale3d(0.3, 0.3, 0.3);\n  }\n  to {\n    opacity: 0;\n  }\n}\n.Toastify__zoom-enter {\n  animation-name: Toastify__zoomIn;\n}\n\n.Toastify__zoom-exit {\n  animation-name: Toastify__zoomOut;\n}\n\n@keyframes Toastify__flipIn {\n  from {\n    transform: perspective(400px) rotate3d(1, 0, 0, 90deg);\n    animation-timing-function: ease-in;\n    opacity: 0;\n  }\n  40% {\n    transform: perspective(400px) rotate3d(1, 0, 0, -20deg);\n    animation-timing-function: ease-in;\n  }\n  60% {\n    transform: perspective(400px) rotate3d(1, 0, 0, 10deg);\n    opacity: 1;\n  }\n  80% {\n    transform: perspective(400px) rotate3d(1, 0, 0, -5deg);\n  }\n  to {\n    transform: perspective(400px);\n  }\n}\n@keyframes Toastify__flipOut {\n  from {\n    transform: translate3d(0, var(--y), 0) perspective(400px);\n  }\n  30% {\n    transform: translate3d(0, var(--y), 0) perspective(400px) rotate3d(1, 0, 0, -20deg);\n    opacity: 1;\n  }\n  to {\n    transform: translate3d(0, var(--y), 0) perspective(400px) rotate3d(1, 0, 0, 90deg);\n    opacity: 0;\n  }\n}\n.Toastify__flip-enter {\n  animation-name: Toastify__flipIn;\n}\n\n.Toastify__flip-exit {\n  animation-name: Toastify__flipOut;\n}\n\n@keyframes Toastify__slideInRight {\n  from {\n    transform: translate3d(110%, 0, 0);\n    visibility: visible;\n  }\n  to {\n    transform: translate3d(0, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideInLeft {\n  from {\n    transform: translate3d(-110%, 0, 0);\n    visibility: visible;\n  }\n  to {\n    transform: translate3d(0, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideInUp {\n  from {\n    transform: translate3d(0, 110%, 0);\n    visibility: visible;\n  }\n  to {\n    transform: translate3d(0, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideInDown {\n  from {\n    transform: translate3d(0, -110%, 0);\n    visibility: visible;\n  }\n  to {\n    transform: translate3d(0, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideOutRight {\n  from {\n    transform: translate3d(0, var(--y), 0);\n  }\n  to {\n    visibility: hidden;\n    transform: translate3d(110%, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideOutLeft {\n  from {\n    transform: translate3d(0, var(--y), 0);\n  }\n  to {\n    visibility: hidden;\n    transform: translate3d(-110%, var(--y), 0);\n  }\n}\n@keyframes Toastify__slideOutDown {\n  from {\n    transform: translate3d(0, var(--y), 0);\n  }\n  to {\n    visibility: hidden;\n    transform: translate3d(0, 500px, 0);\n  }\n}\n@keyframes Toastify__slideOutUp {\n  from {\n    transform: translate3d(0, var(--y), 0);\n  }\n  to {\n    visibility: hidden;\n    transform: translate3d(0, -500px, 0);\n  }\n}\n.Toastify__slide-enter--top-left, .Toastify__slide-enter--bottom-left {\n  animation-name: Toastify__slideInLeft;\n}\n.Toastify__slide-enter--top-right, .Toastify__slide-enter--bottom-right {\n  animation-name: Toastify__slideInRight;\n}\n.Toastify__slide-enter--top-center {\n  animation-name: Toastify__slideInDown;\n}\n.Toastify__slide-enter--bottom-center {\n  animation-name: Toastify__slideInUp;\n}\n\n.Toastify__slide-exit--top-left, .Toastify__slide-exit--bottom-left {\n  animation-name: Toastify__slideOutLeft;\n  animation-timing-function: ease-in;\n  animation-duration: 0.3s;\n}\n.Toastify__slide-exit--top-right, .Toastify__slide-exit--bottom-right {\n  animation-name: Toastify__slideOutRight;\n  animation-timing-function: ease-in;\n  animation-duration: 0.3s;\n}\n.Toastify__slide-exit--top-center {\n  animation-name: Toastify__slideOutUp;\n  animation-timing-function: ease-in;\n  animation-duration: 0.3s;\n}\n.Toastify__slide-exit--bottom-center {\n  animation-name: Toastify__slideOutDown;\n  animation-timing-function: ease-in;\n  animation-duration: 0.3s;\n}\n\n@keyframes Toastify__spin {\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n}\n\n/*# sourceMappingURL=ReactToastify.css.map */';
const Container = qwikifyQrl(/* @__PURE__ */ inlinedQrl(Q, "Container_qwikify_3tMUBkyHTS0"), {
  clientOnly: true
});
const ToastContainer = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  _jsxBranch();
  useStylesQrl(/* @__PURE__ */ inlinedQrl(styles, "ToastContainer_component_useStyles_B0sfFdFCB0E"));
  const visible = useSignal(false);
  useOnWindow("DOMContentLoaded", /* @__PURE__ */ inlinedQrl(() => {
    const [visible2] = useLexicalScope();
    return visible2.value = true;
  }, "ToastContainer_component_useOnWindow_oBjRaaOO9AU", [
    visible
  ]));
  return visible.value && /* @__PURE__ */ _jsxC(Container, {
    ...props
  }, 0, "Ca_0");
}, "ToastContainer_component_fHrNMMl7wXY"));
export {
  H as Bounce,
  Y as Flip,
  z as Icons,
  F as Slide,
  ToastContainer,
  X as Zoom,
  f as collapseToast,
  g as cssTransition,
  B as toast,
  N as useToast,
  L as useToastContainer
};
